Bug 982050 - VM UUID is not shown prominently in Web UI
VM UUID is not shown prominently in Web UI
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
Unspecified Unspecified
low Severity medium
: ---
: 3.3.0
Assigned To: Shahar Havivi
Pavel Stehlik
Depends On:
  Show dependency treegraph
Reported: 2013-07-07 22:22 EDT by David Gibson
Modified: 2015-09-22 09 EDT (History)
9 users (show)

See Also:
Fixed In Version: is12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-01-21 12:33:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17657 None None None Never

  None (edit)
Description David Gibson 2013-07-07 22:22:09 EDT
Description of problem:

UUIDs for VMs are used extensively internally, and often appear in logs and errors.  However, determining a particular VM's UUID from the Web UI is harder than it should be.

Actual results:

Selecting a VM in the Web UI does not show an obvious way to determine its UUID.

Given a VM's UUID, neither is there an easy way to find the corresponding VM in the UI.

Expected results:

The VM's UUID should appear in the General tab when a VM is selected in the UI.

Entering a VM's UUID in the Web UI search field should locate the VM with that UUID in the UI.
Comment 1 Michal Skrivanek 2013-07-29 08:57:00 EDT
this is an RFE in fact, though small.
Comment 2 Michal Skrivanek 2013-07-30 03:52:13 EDT
should be in WebAdmin's VM general subtab
Comment 9 Shahar Havivi 2013-08-22 05:19:00 EDT
added another patch for searching VM by Id:
VMs: Id = xyz...
Comment 11 Martin Pavlik 2013-09-06 04:34:42 EDT
in is13 VM id is visible in general tab, and VM can be filtered out by using the id 

Search Vms: id =24b04c8b-d2f2-4cc3-a2f1-e9b063476875 lists correct machine

Comment 12 Charlie 2013-11-27 19:26:11 EST
This bug is currently attached to errata RHEA-2013:15231. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:


Thanks in advance.
Comment 14 errata-xmlrpc 2014-01-21 12:33:22 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.